Bug 230000 - Improve SCAN_CANCEL exceptions
Improve SCAN_CANCEL exceptions
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
7.3.1
All All
: P3 (vote)
: 7.3.1
Assigned To: Svata Dedic
issues@editor
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 14:24 UTC by Tomas Danek
Modified: 2013-05-30 07:52 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Module that causes a deadlock on a countdown latch (4.64 KB, application/octet-stream)
2013-05-21 12:41 UTC, Svata Dedic
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Danek 2013-05-20 14:24:21 UTC
....so that they can be duplicated according to indexers which initiated scanning.
Comment 2 Svata Dedic 2013-05-21 12:41:31 UTC
Created attachment 134679 [details]
Module that causes a deadlock on a countdown latch

Added deadlocking module
Comment 3 Tomas Danek 2013-05-22 15:35:38 UTC
FYI: serverside handling of scan cancel exceptions is implemented, see issue 230000.
Comment 4 Tomas Danek 2013-05-22 15:36:49 UTC
Mistake: issue 230001
(In reply to comment #3)
> FYI: serverside handling of scan cancel exceptions is implemented, see issue
> 230000.
Comment 5 Tomas Danek 2013-05-24 11:18:02 UTC
I tested all server side fixes locally and duplication worked fine -> deployed to statistics.nb.org.
Comment 6 Quality Engineering 2013-05-27 23:33:45 UTC
Integrated into 'releases', will be available in build *201305272201* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/532a3ea016e0
User: Svata Dedic <sdedic@netbeans.org>
Log: #230000, #230086: Scan cancel exception msg contains indexer name, if scan is cancelled early, the report will be delayed [backport from trunk]


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo